Skip to content

Creates a billing resource.

POST
/api/organizations/{organizationId}/billing/subscription

Creates a billing resource.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

organizationId*

Organization identifier

Type
string
Required

Request Body

JSON
{
  
"customer": {
  
  
"email": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"address": "string",
  
  
"city": "string",
  
  
"zip": "string",
  
  
"country": "string",
  
  
"company": "string",
  
  
"vatId": "string",
  
  
"phone": "string"
  
}
}

Responses

billing resource created

JSON
{
  
"@context": "string",
  
"@id": "string",
  
"@type": "string",
  
"customerExists": false,
  
"hasSubscription": false,
  
"subscriptionStatus": "string",
  
"planHandle": "free",
  
"checkoutSessionId": "string"
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI